:root {
    --bs-body-bg: #212529;
    --bs-body-color: #dee2e6;
    --bs-border-color: #495057;
    --bs-emphasis-color: #fff;

    /* Grayscale yang aktif digunakan */
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-800: #343a40;
}

.bootstrap-dark body,
body.bootstrap-dark {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .carousel-caption,
.bootstrap-dark .carousel-control-next,
.bootstrap-dark .carousel-control-prev,
.bootstrap-dark .close:hover,
.bootstrap-dark .navbar-dark .navbar-brand,
.bootstrap-dark .navbar-dark .navbar-brand:focus,
.bootstrap-dark .navbar-dark .navbar-brand:hover,
.bootstrap-dark .navbar-dark .navbar-nav .active > .nav-link,
.bootstrap-dark .navbar-dark .navbar-nav .nav-link.active,
.bootstrap-dark .navbar-dark .navbar-nav .nav-link.show,
.bootstrap-dark .navbar-dark .navbar-nav .show > .nav-link,
.bootstrap-dark .navbar-dark .navbar-text a,
.bootstrap-dark .navbar-dark .navbar-text a:focus,
.bootstrap-dark .navbar-dark .navbar-text a:hover,
.bootstrap-dark .navbar-themed .navbar-brand,
.bootstrap-dark .navbar-themed .navbar-brand:focus,
.bootstrap-dark .navbar-themed .navbar-brand:hover,
.bootstrap-dark .navbar-themed .navbar-nav .active > .nav-link,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link.active,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link.show,
.bootstrap-dark .navbar-themed .navbar-nav .show > .nav-link,
.bootstrap-dark .navbar-themed .navbar-text a,
.bootstrap-dark .navbar-themed .navbar-text a:focus,
.bootstrap-dark .navbar-themed .navbar-text a:hover,
.bootstrap-dark .progress-bar,
.bootstrap-dark a {
    color: var(--bs-emphasis-color);
}

.bootstrap-dark .alert-heading,
.bootstrap-dark .text-reset,
.bootstrap-dark a:not([href]):not([class]),
.bootstrap-dark a:not([href]):not([class]):hover,
.bootstrap-dark code a,
.bootstrap-dark legend,
.bootstrap-dark pre code {
    color: inherit;
}

.bootstrap-dark .blockquote-footer,
.bootstrap-dark .btn-link.disabled,
.bootstrap-dark .btn-link:disabled,
.bootstrap-dark .custom-control-input[disabled] ~ .custom-control-label,
.bootstrap-dark .figure-caption,
.bootstrap-dark .form-check-input:disabled ~ .form-check-label,
.bootstrap-dark .form-check-input[disabled] ~ .form-check-label,
.bootstrap-dark .form-control::-moz-placeholder,
.bootstrap-dark .form-control::-ms-input-placeholder,
.bootstrap-dark .form-control::-webkit-input-placeholder,
.bootstrap-dark .form-control::placeholder,
.bootstrap-dark .nav-link.disabled,
.bootstrap-dark
    .nav-tabs
    .nav-link.disabled
    .bootstrap-dark
    .custom-control-input:disabled
    ~ .custom-control-label,
.bootstrap-dark caption {
    color: var(--bs-gray-600);
}

.bootstrap-dark hr {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.bootstrap-dark .mark,
.bootstrap-dark mark {
    background-color: #fcf8e3;
}

.bootstrap-dark .img-thumbnail {
    background-color: var(--bs-gray-200);
    border: 1px solid var(--bs-body-color);
}

.bootstrap-dark code {
    color: #e83e8c;
}

.bootstrap-dark .dropdown-item:focus,
.bootstrap-dark .dropdown-item:hover {
    color: var(--bs-body-color);
    background-color: #2b3035;
}

.bootstrap-dark kbd {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .dropdown-item-text,
.bootstrap-dark pre {
    color: var(--bs-gray-100);
}

.bootstrap-dark .table {
    color: var(--bs-body-color);
}

.bootstrap-dark .border-top,
.bootstrap-dark .dropdown-divider,
.bootstrap-dark .list-group-item + .list-group-item,
.bootstrap-dark .modal-footer,
.bootstrap-dark .table td,
.bootstrap-dark .table th {
    border-top: 1px solid var(--bs-border-color);
}

.bootstrap-dark .table thead th {
    border-bottom: 2px solid var(--bs-border-color);
}

.bootstrap-dark .table tbody + tbody {
    border-top: 2px solid var(--bs-gray-800);
}

.bootstrap-dark .table-bordered,
.bootstrap-dark .table-bordered td,
.bootstrap-dark .table-bordered th {
    border: 1px solid var(--bs-border-color);
}

.bootstrap-dark table.table-bordered th:last-child,
.bootstrap-dark table.table-bordered td:last-child {
    border-right: 1px solid var(--bs-border-color);
}

.bootstrap-dark .list-group-item,
.bootstrap-dark .table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(255, 255, 255, 0.05);
}

.bootstrap-dark .table-hover tbody tr:hover {
    color: var(--bs-body-color);
    background-color: rgba(255, 255, 255, 0.075);
}

.bootstrap-dark .table-secondary,
.bootstrap-dark .table-secondary > td,
.bootstrap-dark .table-secondary > th {
    background-color: #d6d8db;
}

.bootstrap-dark .table-secondary tbody + tbody,
.bootstrap-dark .table-secondary td,
.bootstrap-dark .table-secondary th,
.bootstrap-dark .table-secondary thead th {
    border-color: #b3b7bb;
}

.bootstrap-dark .table-hover .table-secondary:hover,
.bootstrap-dark .table-hover .table-secondary:hover > td,
.bootstrap-dark .table-hover .table-secondary:hover > th {
    background-color: #c8cbcf;
}

.bootstrap-dark .table-light,
.bootstrap-dark .table-light > td,
.bootstrap-dark .table-light > th {
    background-color: #f6f7f8;
}

.bootstrap-dark .table-light tbody + tbody,
.bootstrap-dark .table-light td,
.bootstrap-dark .table-light th,
.bootstrap-dark .table-light thead th {
    border-color: #eef0f2;
}

.bootstrap-dark .table-hover .table-light:hover,
.bootstrap-dark .table-hover .table-light:hover > td,
.bootstrap-dark .table-hover .table-light:hover > th {
    background-color: #e8eaed;
}

.bootstrap-dark .table-dark,
.bootstrap-dark .table-dark > td,
.bootstrap-dark .table-dark > th {
    background-color: #c6c8ca;
}

.bootstrap-dark .table-dark tbody + tbody,
.bootstrap-dark .table-dark td,
.bootstrap-dark .table-dark th,
.bootstrap-dark .table-dark thead th {
    border-color: #95999c;
}

.bootstrap-dark .table-hover .table-dark:hover,
.bootstrap-dark .table-hover .table-dark:hover > td,
.bootstrap-dark .table-hover .table-dark:hover > th {
    background-color: #b9bbbe;
}

.bootstrap-dark .table-active,
.bootstrap-dark .table-active > td,
.bootstrap-dark .table-active > th,
.bootstrap-dark .table-hover .table-active:hover,
.bootstrap-dark .table-hover .table-active:hover > td,
.bootstrap-dark .table-hover .table-active:hover > th {
    background-color: rgba(255, 255, 255, 0.075);
}

.bootstrap-dark .table .thead-dark th,
.bootstrap-dark .table-dark td,
.bootstrap-dark .table-dark th,
.bootstrap-dark .table-dark thead th {
    border-color: var(--bs-border-color);
}

.bootstrap-dark .table .thead-light th {
    color: var(--bs-border-color);
    background-color: var(--bs-gray-200);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .table .thead-dark th,
.bootstrap-dark .table-dark {
    color: var(--bs-body-color);
    background-color: var(--bs-gray-800);
}

.bootstrap-dark .table-dark.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(255, 255, 255, 0.05);
}

.bootstrap-dark .table-dark.table-hover tbody tr:hover {
    color: var(--bs-emphasis-color);
    background-color: rgba(255, 255, 255, 0.075);
}

.bootstrap-dark .table-dark,
.bootstrap-dark .table-dark > td,
.bootstrap-dark .table-dark > th,
.bootstrap-dark .table-hover .table-dark:hover,
.bootstrap-dark .table-hover .table-dark:hover > td,
.bootstrap-dark .table-hover .table-dark:hover > th,
.bootstrap-dark .table-hover .table-light:hover,
.bootstrap-dark .table-hover .table-light:hover > td,
.bootstrap-dark .table-hover .table-light:hover > th,
.bootstrap-dark .table-hover .table-secondary:hover,
.bootstrap-dark .table-hover .table-secondary:hover > td,
.bootstrap-dark .table-hover .table-secondary:hover > th,
.bootstrap-dark .table-light,
.bootstrap-dark .table-light > td,
.bootstrap-dark .table-light > th,
.bootstrap-dark .table-secondary,
.bootstrap-dark .table-secondary > td,
.bootstrap-dark .table-secondary > th {
    color: #343a40;
}

.bootstrap-dark .list-group-item-action,
.bootstrap-dark .table-active,
.bootstrap-dark .table-active > td,
.bootstrap-dark .table-active > th,
.bootstrap-dark .table-dark,
.bootstrap-dark .table-hover .table-active:hover,
.bootstrap-dark .table-hover .table-active:hover > td,
.bootstrap-dark .table-hover .table-active:hover > th {
    color: var(--bs-body-color);
}

.bootstrap-dark .form-control {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .form-control::-ms-expand {
    background-color: transparent;
}

.bootstrap-dark .form-control:disabled,
.bootstrap-dark .form-control[readonly],
.bootstrap-dark .jumbotron {
    background-color: var(--bs-gray-800);
}

.bootstrap-dark select.form-control:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 var(--bs-body-color);
}

.bootstrap-dark select.form-control:focus::-ms-value {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .form-control-plaintext {
    color: var(--bs-body-bg);
    background-color: transparent;
    border: solid transparent;
}

.bootstrap-dark .btn-outline-secondary:hover,
.bootstrap-dark .btn-outline-secondary:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-outline-secondary:not(:disabled):not(.disabled):active,
.bootstrap-dark .btn-secondary,
.bootstrap-dark .btn-secondary.disabled,
.bootstrap-dark .btn-secondary:disabled,
.show > .bootstrap-dark .btn-outline-secondary.dropdown-toggle {
    color: var(--bs-gray-200);
    background-color: var(--bs-gray-600);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .btn-secondary:hover {
    color: var(--bs-gray-200);
    background-color: #5a6268;
    border-color: #545b62;
}

.bootstrap-dark .btn-secondary.focus,
.bootstrap-dark .btn-secondary:focus {
    color: var(--bs-gray-200);
    background-color: #5a6268;
    border-color: #545b62;
    box-shadow: 0 0 0 0.2rem rgba(127, 135, 142, 0.5);
}

.bootstrap-dark .btn-secondary:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-secondary:not(:disabled):not(.disabled):active,
.show > .bootstrap-dark .btn-secondary.dropdown-toggle {
    color: var(--bs-gray-200);
    background-color: #545b62;
    border-color: #4e555b;
}

.bootstrap-dark .btn-secondary:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark .btn-secondary:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-secondary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(127, 135, 142, 0.5);
}

.bootstrap-dark .btn-light,
.bootstrap-dark .btn-light.disabled,
.bootstrap-dark .btn-light:disabled,
.bootstrap-dark .btn-outline-light:hover,
.bootstrap-dark .btn-outline-light:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-outline-light:not(:disabled):not(.disabled):active,
.show > .bootstrap-dark .btn-outline-light.dropdown-toggle {
    color: var(--bs-gray-800);
    background-color: var(--bs-body-color);
    border-color: var(--bs-body-color);
}

.bootstrap-dark .btn-light:focus,
.bootstrap-dark .btn-light:hover .bootstrap-dark .btn-light.focus {
    color: var(--bs-gray-800);
    background-color: #c8cfd6;
    border-color: #c1c9d0;
    box-shadow: 0 0 0 0.2rem rgba(197, 201, 205, 0.5);
}

.bootstrap-dark .btn-light:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-light:not(:disabled):not(.disabled):active,
.show > .bootstrap-dark .btn-light.dropdown-toggle {
    color: var(--bs-gray-800);
    background-color: #c1c9d0;
    border-color: #bac2cb;
}

.bootstrap-dark .btn-light:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark .btn-light:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-light.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(197, 201, 205, 0.5);
}

.bootstrap-dark .btn-dark,
.bootstrap-dark .btn-dark.disabled,
.bootstrap-dark .btn-dark:disabled,
.bootstrap-dark .btn-outline-dark:hover,
.bootstrap-dark .btn-outline-dark:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-outline-dark:not(:disabled):not(.disabled):active,
.show > .bootstrap-dark .btn-outline-dark.dropdown-toggle {
    color: var(--bs-gray-200);
    background-color: var(--bs-body-bg);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .btn-dark.focus,
.bootstrap-dark .btn-dark:focus,
.bootstrap-dark .btn-dark:hover {
    color: var(--bs-gray-200);
    background-color: #23272b;
    border-color: #1d2124;
    box-shadow: 0 0 0 0.2rem rgba(79, 85, 90, 0.5);
}

.bootstrap-dark .btn-dark:not(:disabled):not(.disabled).active,
.bootstrap-dark .btn-dark:not(:disabled):not(.disabled):active,
.show > .bootstrap-dark .btn-dark.dropdown-toggle {
    color: var(--bs-gray-200);
    background-color: #1d2124;
    border-color: #171a1d;
}

.bootstrap-dark .btn-dark:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark .btn-dark:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-dark.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(79, 85, 90, 0.5);
}

.bootstrap-dark .btn-outline-secondary {
    color: var(--bs-gray-600);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .btn-outline-secondary.disabled,
.bootstrap-dark .btn-outline-secondary:disabled {
    color: var(--bs-gray-600);
    background-color: transparent;
}

.bootstrap-dark .btn-outline-secondary.focus,
.bootstrap-dark .btn-outline-secondary:focus,
.bootstrap-dark
    .btn-outline-secondary:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark
    .btn-outline-secondary:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-outline-secondary.dropdown-toggle:focus,
a.bootstrap-dark .badge-secondary.focus,
a.bootstrap-dark .badge-secondary:focus {
    box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
}

.bootstrap-dark .btn-outline-light {
    color: var(--bs-body-color);
    border-color: var(--bs-body-color);
}

.bootstrap-dark .btn-outline-light.focus,
.bootstrap-dark .btn-outline-light:focus,
.bootstrap-dark .btn-outline-light:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark .btn-outline-light:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-outline-light.dropdown-toggle:focus,
a.bootstrap-dark .badge-light.focus,
a.bootstrap-dark .badge-light:focus {
    box-shadow: 0 0 0 0.2rem rgba(222, 226, 230, 0.5);
}

.bootstrap-dark .btn-outline-light.disabled,
.bootstrap-dark .btn-outline-light:disabled {
    color: var(--bs-body-color);
    background-color: transparent;
}

.bootstrap-dark .btn-outline-dark {
    color: var(--bs-gray-800);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .btn-outline-dark.focus,
.bootstrap-dark .btn-outline-dark:focus,
.bootstrap-dark .btn-outline-dark:not(:disabled):not(.disabled).active:focus,
.bootstrap-dark .btn-outline-dark:not(:disabled):not(.disabled):active:focus,
.show > .bootstrap-dark .btn-outline-dark.dropdown-toggle:focus,
a.bootstrap-dark .badge-dark.focus,
a.bootstrap-dark .badge-dark:focus {
    box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5);
}

.bootstrap-dark .btn-outline-dark.disabled,
.bootstrap-dark .btn-outline-dark:disabled {
    color: var(--bs-gray-800);
    background-color: transparent;
}

.bootstrap-dark .btn-link {
    color: var(--bs-body-color);
}

.bootstrap-dark .dropdown-menu {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border: 1px solid rgba(255, 255, 255, 0.15);
}

.bootstrap-dark .dropdown-item {
    color: var(--bs-gray-100);
    background-color: transparent;
}

.bootstrap-dark .breadcrumb-item + .breadcrumb-item::before,
.bootstrap-dark .breadcrumb-item.active,
.bootstrap-dark .dropdown-header,
.bootstrap-dark .dropdown-item.disabled,
.bootstrap-dark .dropdown-item:disabled,
.bootstrap-dark .toast-header {
    color: var(--bs-body-color);
}

.bootstrap-dark .input-group-text {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border: 1px solid var(--bs-border-color);
}

.bootstrap-dark
    .custom-control-input:not(:disabled):active
    ~ .custom-control-label::before {
    color: var(--bs-emphasis-color);
    background-color: #b3d7ff;
    border-color: #b3d7ff;
}

.bootstrap-dark .custom-control-input:disabled ~ .custom-control-label::before,
.bootstrap-dark .custom-control-input[disabled] ~ .custom-control-label::before,
.bootstrap-dark .custom-file-input:disabled ~ .custom-file-label,
.bootstrap-dark .custom-file-input[disabled] ~ .custom-file-label {
    background-color: var(--bs-gray-200);
}

.bootstrap-dark .custom-control-label::before {
    background-color: var(--bs-emphasis-color);
    border: 1px solid var(--bs-gray-500);
}

.bootstrap-dark
    .custom-checkbox
    .custom-control-input:indeterminate
    ~ .custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='4' viewBox='0 0 4 4'%3e%3cpath stroke='%23fff' d='M0 2h4'/%3e%3c/svg%3e");
}

.bootstrap-dark .custom-switch .custom-control-label::after {
    background-color: var(--bs-gray-500);
}

.bootstrap-dark .custom-select {
    color: var(--bs-body-color);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e")
        right 0.75rem center/8px 10px no-repeat var(--bs-body-bg);
    border: 1px solid var(--bs-border-color);
}

.bootstrap-dark .custom-select:focus::-ms-value {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .custom-select:disabled {
    color: var(--bs-body-color);
    background-color: var(--bs-gray-800);
}

.bootstrap-dark .custom-select:-moz-focusring {
    text-shadow: 0 0 0 var(--bs-body-color);
}

.bootstrap-dark .custom-file-label {
    color: var(--bs-body-color);
    background-color: var(--bs-gray-800);
    border: 1px solid var(--bs-border-color);
}

.bootstrap-dark .custom-file-label::after {
    color: var(--bs-body-color);
    background-color: var(--bs-border-color);
}

.bootstrap-dark .nav-tabs {
    border-bottom: 1px solid rgba(255, 255, 255, 0.125);
}

.bootstrap-dark .nav-tabs .nav-link:focus,
.bootstrap-dark .nav-tabs .nav-link:hover {
    border-color: var(--bs-border-color) var(--bs-border-color)
        rgba(255, 255, 255, 0.125);
}

.bootstrap-dark .nav-tabs .nav-item.show .nav-link,
.bootstrap-dark .nav-tabs .nav-link.active {
    color: var(--bs-gray-100);
    background-color: var(--bs-body-bg);
    border-color: var(--bs-border-color) var(--bs-border-color)
        var(--bs-body-bg);
}

.bootstrap-dark .navbar-light .navbar-brand,
.bootstrap-dark .navbar-light .navbar-brand:focus,
.bootstrap-dark .navbar-light .navbar-brand:hover,
.bootstrap-dark .navbar-light .navbar-nav .active > .nav-link,
.bootstrap-dark .navbar-light .navbar-nav .nav-link.active,
.bootstrap-dark .navbar-light .navbar-nav .nav-link.show,
.bootstrap-dark .navbar-light .navbar-nav .show > .nav-link,
.bootstrap-dark .navbar-light .navbar-text a,
.bootstrap-dark .navbar-light .navbar-text a:focus,
.bootstrap-dark .navbar-light .navbar-text a:hover {
    color: rgba(0, 0, 0, 0.9);
}

.bootstrap-dark .navbar-light .navbar-nav .nav-link,
.bootstrap-dark .navbar-light .navbar-text {
    color: rgba(0, 0, 0, 0.5);
}

.bootstrap-dark .navbar-light .navbar-nav .nav-link:focus,
.bootstrap-dark .navbar-light .navbar-nav .nav-link:hover {
    color: rgba(0, 0, 0, 0.7);
}

.bootstrap-dark .navbar-light .navbar-nav .nav-link.disabled {
    color: rgba(0, 0, 0, 0.3);
}

.bootstrap-dark .navbar-light .navbar-toggler {
    color: rgba(0, 0, 0, 0.5);
    border-color: rgba(0, 0, 0, 0.1);
}

.bootstrap-dark .navbar-light .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.bootstrap-dark .navbar-dark .navbar-nav .nav-link,
.bootstrap-dark .navbar-dark .navbar-text,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link,
.bootstrap-dark .navbar-themed .navbar-text {
    color: rgba(255, 255, 255, 0.5);
}

.bootstrap-dark .navbar-dark .navbar-nav .nav-link:focus,
.bootstrap-dark .navbar-dark .navbar-nav .nav-link:hover,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link:focus,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link:hover {
    color: rgba(255, 255, 255, 0.75);
}

.bootstrap-dark .navbar-dark .navbar-nav .nav-link.disabled,
.bootstrap-dark .navbar-themed .navbar-nav .nav-link.disabled {
    color: rgba(255, 255, 255, 0.25);
}

.bootstrap-dark .navbar-dark .navbar-toggler,
.bootstrap-dark .navbar-themed .navbar-toggler {
    color: rgba(255, 255, 255, 0.5);
    border-color: rgba(255, 255, 255, 0.1);
}

.bootstrap-dark .navbar-dark .navbar-toggler-icon,
.bootstrap-dark .navbar-themed .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.bootstrap-dark .card {
    background-color: var(--bs-body-bg);
    border: 1px solid rgba(255, 255, 255, 0.15);
}

.bootstrap-dark .card-header {
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}

.bootstrap-dark .page-link {
    background-color: var(--bs-body-bg);
    border: 1px solid var(--bs-border-color);
}

.bootstrap-dark .page-item.disabled .page-link {
    background-color: var(--bs-body-bg);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .badge-secondary {
    color: var(--bs-gray-200);
    background-color: var(--bs-gray-600);
}

a.bootstrap-dark .badge-secondary:focus,
a.bootstrap-dark .badge-secondary:hover {
    color: var(--bs-gray-200);
    background-color: #545b62;
}

.bootstrap-dark .badge-light {
    color: var(--bs-gray-800);
    background-color: var(--bs-body-color);
}

a.bootstrap-dark .badge-light:focus,
a.bootstrap-dark .badge-light:hover {
    color: var(--bs-gray-800);
    background-color: #c1c9d0;
}

.bootstrap-dark .badge-dark {
    color: var(--bs-gray-200);
    background-color: var(--bs-gray-800);
}

a.bootstrap-dark .badge-dark:focus,
a.bootstrap-dark .badge-dark:hover {
    color: var(--bs-gray-200);
    background-color: #1d2124;
}

.bootstrap-dark .alert-secondary {
    color: #383d41;
    background-color: #e2e3e5;
    border-color: #d6d8db;
}

.bootstrap-dark .alert-secondary hr {
    border-top-color: #c8cbcf;
}

.bootstrap-dark .alert-secondary .alert-link {
    color: #202326;
}

.bootstrap-dark .alert-light,
.bootstrap-dark .alert-themed-inverted {
    color: #737678;
    background-color: var(--bs-gray-100);
    border-color: #f6f7f8;
}

.bootstrap-dark .alert-light hr,
.bootstrap-dark .alert-themed-inverted hr {
    border-top-color: #e8eaed;
}

.bootstrap-dark .alert-light .alert-link,
.bootstrap-dark .alert-themed-inverted .alert-link {
    color: #5a5c5e;
}

.bootstrap-dark .alert-dark,
.bootstrap-dark .alert-themed {
    color: #1b1e21;
    background-color: #d6d8d9;
    border-color: #c6c8ca;
}

.bootstrap-dark .alert-dark hr,
.bootstrap-dark .alert-themed hr {
    border-top-color: #b9bbbe;
}

.bootstrap-dark .alert-dark .alert-link,
.bootstrap-dark .alert-themed .alert-link {
    color: #040505;
}

.bootstrap-dark .progress-bar-striped {
    background-image: linear-gradient(
        45deg,
        rgba(255, 255, 255, 0.15) 25%,
        transparent 25%,
        transparent 50%,
        rgba(255, 255, 255, 0.15) 50%,
        rgba(255, 255, 255, 0.15) 75%,
        transparent 75%,
        transparent
    );
}

.bootstrap-dark .list-group-item-action:focus,
.bootstrap-dark .list-group-item-action:hover {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .list-group-item-action:active {
    color: var(--bs-body-color);
    background-color: var(--bs-gray-800);
}

.bootstrap-dark .list-group-item.disabled,
.bootstrap-dark .list-group-item:disabled {
    color: var(--bs-body-color);
    background-color: rgba(25, 29, 33, 0.05);
}

.bootstrap-dark .list-group-item-secondary {
    color: #383d41;
    background-color: #d6d8db;
}

.bootstrap-dark .list-group-item-secondary.list-group-item-action:focus,
.bootstrap-dark .list-group-item-secondary.list-group-item-action:hover {
    color: #383d41;
    background-color: #c8cbcf;
}

.bootstrap-dark .list-group-item-secondary.list-group-item-action.active {
    color: var(--bs-emphasis-color);
    background-color: #383d41;
    border-color: #383d41;
}

.bootstrap-dark .list-group-item-light {
    color: #737678;
    background-color: #f6f7f8;
}

.bootstrap-dark .list-group-item-light.list-group-item-action:focus,
.bootstrap-dark .list-group-item-light.list-group-item-action:hover {
    color: #737678;
    background-color: #e8eaed;
}

.bootstrap-dark .list-group-item-light.list-group-item-action.active {
    color: var(--bs-emphasis-color);
    background-color: #737678;
    border-color: #737678;
}

.bootstrap-dark .list-group-item-dark {
    color: #1b1e21;
    background-color: #c6c8ca;
}

.bootstrap-dark .list-group-item-dark.list-group-item-action:focus,
.bootstrap-dark .list-group-item-dark.list-group-item-action:hover {
    color: #1b1e21;
    background-color: #b9bbbe;
}

.bootstrap-dark .list-group-item-dark.list-group-item-action.active {
    color: var(--bs-emphasis-color);
    background-color: #1b1e21;
    border-color: #1b1e21;
}

.bootstrap-dark .close {
    color: var(--bs-emphasis-color);
    text-shadow: 0 1px 0 var(--bs-body-bg);
}

.bootstrap-dark .modal-backdrop {
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .modal-header {
    border-bottom: 1px solid var(--bs-border-color);
}

.bootstrap-dark .bs-tooltip-auto[x-placement^="top"] .arrow::before,
.bootstrap-dark .bs-tooltip-top .arrow::before {
    border-top-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-tooltip-auto[x-placement^="right"] .arrow::before,
.bootstrap-dark .bs-tooltip-right .arrow::before {
    border-right-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-tooltip-auto[x-placement^="bottom"] .arrow::before,
.bootstrap-dark .bs-tooltip-bottom .arrow::before {
    border-bottom-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-tooltip-auto[x-placement^="left"] .arrow::before,
.bootstrap-dark .bs-tooltip-left .arrow::before {
    border-left-color: var(--bs-emphasis-color);
}

.bootstrap-dark .tooltip-inner {
    color: var(--bs-body-bg);
    background-color: var(--bs-emphasis-color);
}

.bootstrap-dark .popover .arrow::after,
.bootstrap-dark .popover .arrow::before {
    border-color: transparent;
}

.bootstrap-dark .bs-popover-auto[x-placement^="top"] > .arrow::before,
.bootstrap-dark .bs-popover-top > .arrow::before {
    border-top-color: rgba(0, 0, 0, 0.25);
}

.bootstrap-dark .bs-popover-auto[x-placement^="top"] > .arrow::after,
.bootstrap-dark .bs-popover-top > .arrow::after {
    border-top-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-popover-auto[x-placement^="right"] > .arrow::after,
.bootstrap-dark .bs-popover-right > .arrow::after {
    border-right-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-popover-auto[x-placement^="bottom"] > .arrow::before,
.bootstrap-dark .bs-popover-bottom > .arrow::before {
    border-bottom-color: rgba(0, 0, 0, 0.25);
}

.bootstrap-dark .bs-popover-auto[x-placement^="bottom"] > .arrow::after,
.bootstrap-dark .bs-popover-bottom > .arrow::after {
    border-bottom-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bs-popover-auto[x-placement^="bottom"] .popover-header::before,
.bootstrap-dark .bs-popover-bottom .popover-header::before {
    border-bottom: 1px solid #f7f7f7;
}

.bootstrap-dark .bs-popover-auto[x-placement^="left"] > .arrow::before,
.bootstrap-dark .bs-popover-left > .arrow::before {
    border-left-color: rgba(0, 0, 0, 0.25);
}

.bootstrap-dark .bs-popover-auto[x-placement^="left"] > .arrow::after,
.bootstrap-dark .bs-popover-left > .arrow::after {
    border-left-color: var(--bs-emphasis-color);
}

.bootstrap-dark .popover-header {
    background-color: #f7f7f7;
    border-bottom: 1px solid #ebebeb;
}

.bootstrap-dark .modal-content {
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .popover-body {
    color: var(--bs-body-bg);
}

.bootstrap-dark .carousel-control-prev-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5L4.25 4l2.5-2.5L5.25 0z'/%3e%3c/svg%3e");
}

.bootstrap-dark .carousel-control-next-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M2.75 0l-1.5 1.5L3.75 4l-2.5 2.5L2.75 8l4-4-4-4z'/%3e%3c/svg%3e");
}

.bootstrap-dark .carousel-indicators li {
    background-color: var(--bs-emphasis-color);
}

.bootstrap-dark .bg-secondary {
    background-color: var(--bs-gray-600) !important;
}

.bootstrap-dark a.bg-secondary:focus,
.bootstrap-dark a.bg-secondary:hover,
.bootstrap-dark button.bg-secondary:focus,
.bootstrap-dark button.bg-secondary:hover {
    background-color: #545b62 !important;
}

.bootstrap-dark .bg-light,
.bootstrap-dark .bg-themed-inverted {
    background-color: var(--bs-body-color) !important;
}

.bootstrap-dark a.bg-light:focus,
.bootstrap-dark a.bg-light:hover,
.bootstrap-dark a.bg-themed-inverted:focus,
.bootstrap-dark a.bg-themed-inverted:hover,
.bootstrap-dark button.bg-light:focus,
.bootstrap-dark button.bg-light:hover,
.bootstrap-dark button.bg-themed-inverted:focus,
.bootstrap-dark button.bg-themed-inverted:hover {
    background-color: #c1c9d0 !important;
}

.bootstrap-dark .bg-dark,
.bootstrap-dark .bg-themed,
.bootstrap-dark .navbar-themed {
    background-color: var(--bs-gray-800) !important;
}

.bootstrap-dark a.bg-dark:focus,
.bootstrap-dark a.bg-dark:hover,
.bootstrap-dark a.bg-themed:focus,
.bootstrap-dark a.bg-themed:hover,
.bootstrap-dark a.navbar-themed:focus,
.bootstrap-dark a.navbar-themed:hover,
.bootstrap-dark button.bg-dark:focus,
.bootstrap-dark button.bg-dark:hover,
.bootstrap-dark button.bg-themed:focus,
.bootstrap-dark button.bg-themed:hover,
.bootstrap-dark button.navbar-themed:focus,
.bootstrap-dark button.navbar-themed:hover {
    background-color: #1d2124 !important;
}

.bootstrap-dark .bg-white {
    background-color: var(--bs-emphasis-color) !important;
}

.bootstrap-dark .bg-transparent {
    background-color: transparent !important;
}

.bootstrap-dark .border {
    border: 1px solid var(--bs-border-color) !important;
}

.bootstrap-dark .border-right {
    border-right: 1px solid var(--bs-gray-800) !important;
}

.bootstrap-dark .border-bottom {
    border-bottom: 1px solid var(--bs-border-color) !important;
}

.bootstrap-dark .border-left {
    border-left: 1px solid var(--bs-gray-800) !important;
}

.bootstrap-dark .border-secondary {
    border-color: var(--bs-border-color) !important;
}

.bootstrap-dark .border-light {
    border-color: var(--bs-body-color) !important;
}

.bootstrap-dark .border-dark {
    border-color: var(--bs-border-color) !important;
}

.bootstrap-dark .border-white {
    border-color: var(--bs-emphasis-color) !important;
}

.bootstrap-dark .stretched-link::after {
    background-color: rgba(0, 0, 0, 0);
}

.bootstrap-dark .text-white {
    color: var(--bs-emphasis-color) !important;
}

.bootstrap-dark .text-secondary {
    color: var(--bs-gray-600) !important;
}

.bootstrap-dark a.text-secondary:focus,
.bootstrap-dark a.text-secondary:hover {
    color: #494f54 !important;
}

.bootstrap-dark .text-light,
.bootstrap-dark .text-themed {
    color: var(--bs-body-color) !important;
}

.bootstrap-dark a.text-light:focus,
.bootstrap-dark a.text-light:hover,
.bootstrap-dark a.text-themed:focus,
.bootstrap-dark a.text-themed:hover {
    color: #b2bcc5 !important;
}

.bootstrap-dark .text-dark,
.bootstrap-dark .text-themed-inverted {
    color: var(--bs-gray-800) !important;
}

.bootstrap-dark a.text-dark:focus,
.bootstrap-dark a.text-dark:hover,
.bootstrap-dark a.text-themed-inverted:focus,
.bootstrap-dark a.text-themed-inverted:hover {
    color: #121416 !important;
}

.bootstrap-dark .text-body {
    color: var(--bs-body-color) !important;
}

.bootstrap-dark .text-muted {
    color: var(--bs-gray-500) !important;
}

.bootstrap-dark .text-black-50 {
    color: rgba(0, 0, 0, 0.5) !important;
}

.bootstrap-dark .text-white-50 {
    color: rgba(255, 255, 255, 0.5) !important;
}

.bootstrap-dark .text-hide {
    color: transparent;
    background-color: transparent;
}

@media print {
    blockquote,
    img,
    pre,
    tr {
        page-break-inside: avoid;
    }

    *,
    ::after,
    ::before {
        text-shadow: none !important;
        box-shadow: none !important;
    }

    a:not(.btn) {
        text-decoration: underline;
    }

    abbr[title]::after {
        content: " (" attr(title) ")";
    }

    pre {
        white-space: pre-wrap !important;
    }

    blockquote,
    pre {
        border: 1px solid var(--bs-gray-500);
    }

    h2,
    h3,
    p {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }

    @page {
        size: a3;
    }

    .container,
    body {
        min-width: 992px !important;
    }

    .navbar {
        display: none;
    }

    .badge {
        border: 1px solid var(--bs-body-bg);
    }

    .table {
        border-collapse: collapse !important;
    }

    .table td,
    .table th {
        background-color: var(--bs-emphasis-color) !important;
    }

    .table-bordered td,
    .table-bordered th {
        border: 1px solid var(--bs-body-color) !important;
    }

    .table-dark {
        color: inherit;
    }

    .table-dark tbody + tbody,
    .table-dark td,
    .table-dark th,
    .table-dark thead th {
        border-color: var(--bs-body-color);
    }

    .table .thead-dark th {
        color: inherit;
        border-color: var(--bs-body-color);
    }
}

.bootstrap-dark .btn-default.dropdown-toggle::after,
.bootstrap-dark .btn-outline-default.dropdown-toggle::after {
    border-top-color: var(--bs-emphasis-color);
    border-bottom-color: var(--bs-emphasis-color);
}

.bootstrap-dark
    table.dataTable.dtr-inline.collapsed
    > tbody
    > tr
    > td.dtr-control:before,
.bootstrap-dark
    table.dataTable.dtr-inline.collapsed
    > tbody
    > tr
    > th.dtr-control:before {
    border-left-color: var(--bs-emphasis-color);
}

.bootstrap-dark
    table.dataTable.dtr-inline.collapsed
    > tbody
    > tr.dtr-expanded
    > td.dtr-control:before,
.bootstrap-dark
    table.dataTable.dtr-inline.collapsed
    > tbody
    > tr.dtr-expanded
    > th.dtr-control:before {
    border-top-color: var(--bs-emphasis-color);
    border-left-color: transparent;
}

.bootstrap-dark table.dataTable.table-bordered thead tr:last-child th,
.bootstrap-dark table.dataTable.table-bordered tbody tr:last-child td {
    border-bottom-width: inherit;
}

.bootstrap-dark table.dataTable.table-bordered tbody tr:last-child td {
    border-bottom-width: 1px;
}

.bootstrap-dark .daterangepicker {
    background: var(--bs-body-bg);
    border: 1px solid rgba(255, 255, 255, 0.15);
}

.bootstrap-dark .daterangepicker td.off,
.bootstrap-dark .daterangepicker td.off.in-range,
.bootstrap-dark .daterangepicker td.off.start-date,
.bootstrap-dark .daterangepicker td.off.end-date {
    background-color: var(--bs-body-bg);
    color: var(--bs-gray-600);
}

.bootstrap-dark .daterangepicker .drp-buttons .btn-default {
    color: var(--bs-body-bg);
    background-color: var(--bs-gray-100);
    border-color: var(--bs-gray-100);
}

.bootstrap-dark
    .daterangepicker
    .drp-buttons
    .btn-default:not(:disabled):not(.disabled):hover {
    color: var(--bs-body-bg);
    background-color: #e2e6ea;
    border-color: #dae0e5;
}

.bootstrap-dark
    .daterangepicker
    .drp-buttons
    .btn-default:not(:disabled):not(.disabled).active,
.bootstrap-dark
    .daterangepicker
    .drp-buttons
    .btn-default:not(:disabled):not(.disabled):active {
    color: var(--bs-body-bg);
    background-color: #dae0e5;
    border-color: #d3d9df;
}

.bootstrap-dark .daterangepicker .calendar-table .next span,
.bootstrap-dark .daterangepicker .calendar-table .prev span {
    border: solid var(--bs-gray-100);
    border-width: 0 2px 2px 0;
}

.bootstrap-dark .daterangepicker td.available:hover,
.bootstrap-dark .daterangepicker th.available:hover {
    background-color: var(--bs-border-color);
}

.bootstrap-dark .daterangepicker .drp-buttons {
    border-top: 1px solid rgba(255, 255, 255, 0.15);
}

.bootstrap-dark .daterangepicker td.in-range:not(.active) {
    background-color: #202428;
    color: inherit;
}

.bootstrap-dark .daterangepicker select.monthselect,
.bootstrap-dark .daterangepicker select.yearselect {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: var(--bs-border-color);
}

.bootstrap-dark .daterangepicker select.monthselect:focus,
.bootstrap-dark .daterangepicker select.yearselect:focus {
    border-color: var(--bs-border-color) !important;
    background-color: inherit !important;
    color: inherit !important;
}

.bootstrap-dark .daterangepicker select option {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

.bootstrap-dark .daterangepicker select option:disabled {
    background-color: #ff0000;
    color: #000;
}
